
From: Anton Blanchard <anton@samba.org>

add missing include guards, from Nathan Lynch


---

 include/asm-ppc64/bugs.h          |    4 ++++
 include/asm-ppc64/hvcall.h        |    3 +++
 include/asm-ppc64/percpu.h        |    6 +++---
 include/asm-ppc64/ppc_asm.h       |    4 ++++
 include/asm-ppc64/ptrace-common.h |    4 ++++
 include/asm-ppc64/serial.h        |    6 +++++-
 6 files changed, 23 insertions(+), 4 deletions(-)

diff -puN include/asm-ppc64/bugs.h~ppc64-include_guards include/asm-ppc64/bugs.h
--- 25/include/asm-ppc64/bugs.h~ppc64-include_guards	2004-01-21 10:42:55.000000000 -0800
+++ 25-akpm/include/asm-ppc64/bugs.h	2004-01-21 10:42:55.000000000 -0800
@@ -3,6 +3,10 @@
  * bugs.
  *
  */
+#ifndef _ASM_PPC64_BUGS_H
+#define _ASM_PPC64_BUGS_H
 
 static void check_bugs(void) {
 }
+
+#endif /* _ASM_PPC64_BUGS_H */
diff -puN include/asm-ppc64/hvcall.h~ppc64-include_guards include/asm-ppc64/hvcall.h
--- 25/include/asm-ppc64/hvcall.h~ppc64-include_guards	2004-01-21 10:42:55.000000000 -0800
+++ 25-akpm/include/asm-ppc64/hvcall.h	2004-01-21 10:42:55.000000000 -0800
@@ -1,3 +1,5 @@
+#ifndef _PPC64_HVCALL_H
+#define _PPC64_HVCALL_H
 
 #define H_Success	0
 #define H_Busy		1	/* Hardware busy -- retry later */
@@ -138,3 +140,4 @@ long plpar_hcall_4out(unsigned long opco
 		      unsigned long *out3,
 		      unsigned long *out4);
 
+#endif /* _PPC64_HVCALL_H */
diff -puN include/asm-ppc64/percpu.h~ppc64-include_guards include/asm-ppc64/percpu.h
--- 25/include/asm-ppc64/percpu.h~ppc64-include_guards	2004-01-21 10:42:55.000000000 -0800
+++ 25-akpm/include/asm-ppc64/percpu.h	2004-01-21 10:42:55.000000000 -0800
@@ -1,6 +1,6 @@
-#ifndef __ARCH_I386_PERCPU__
-#define __ARCH_I386_PERCPU__
+#ifndef __ARCH_PPC64_PERCPU__
+#define __ARCH_PPC64_PERCPU__
 
 #include <asm-generic/percpu.h>
 
-#endif /* __ARCH_I386_PERCPU__ */
+#endif /* __ARCH_PPC64_PERCPU__ */
diff -puN include/asm-ppc64/ppc_asm.h~ppc64-include_guards include/asm-ppc64/ppc_asm.h
--- 25/include/asm-ppc64/ppc_asm.h~ppc64-include_guards	2004-01-21 10:42:55.000000000 -0800
+++ 25-akpm/include/asm-ppc64/ppc_asm.h	2004-01-21 10:42:55.000000000 -0800
@@ -11,6 +11,8 @@
  *  2 of the License, or (at your option) any later version.
  */
 
+#ifndef _PPC64_PPC_ASM_H
+#define _PPC64_PPC_ASM_H
 /*
  * Macros for storing registers into and loading registers from
  * exception frames.
@@ -238,3 +240,5 @@
 #define	vr29	29
 #define	vr30	30
 #define	vr31	31
+
+#endif /* _PPC64_PPC_ASM_H */
diff -puN include/asm-ppc64/ptrace-common.h~ppc64-include_guards include/asm-ppc64/ptrace-common.h
--- 25/include/asm-ppc64/ptrace-common.h~ppc64-include_guards	2004-01-21 10:42:55.000000000 -0800
+++ 25-akpm/include/asm-ppc64/ptrace-common.h	2004-01-21 10:42:55.000000000 -0800
@@ -9,6 +9,8 @@
  * this archive for more details.
  */
 
+#ifndef _PPC64_PTRACE_COMMON_H
+#define _PPC64_PTRACE_COMMON_H
 /*
  * Set of msr bits that gdb can change on behalf of a process.
  */
@@ -64,3 +66,5 @@ static inline void clear_single_step(str
 	if (regs != NULL)
 		regs->msr &= ~MSR_SE;
 }
+
+#endif /* _PPC64_PTRACE_COMMON_H */
diff -puN include/asm-ppc64/serial.h~ppc64-include_guards include/asm-ppc64/serial.h
--- 25/include/asm-ppc64/serial.h~ppc64-include_guards	2004-01-21 10:42:55.000000000 -0800
+++ 25-akpm/include/asm-ppc64/serial.h	2004-01-21 10:42:55.000000000 -0800
@@ -1,6 +1,8 @@
 /*
- * include/asm-ppc/serial.h
+ * include/asm-ppc64/serial.h
  */
+#ifndef _PPC64_SERIAL_H
+#define _PPC64_SERIAL_H
 
 #include <linux/config.h>
 
@@ -124,3 +126,5 @@
 	EXTRA_SERIAL_PORT_DEFNS		\
 	HUB6_SERIAL_PORT_DFNS		\
 	MCA_SERIAL_PORT_DFNS
+
+#endif /* _PPC64_SERIAL_H */

_
